curl --request GET \
--url https://api.topsort.com/public/v1/assets/assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/assets/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/assets/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"assets": [
{
"id": "<string>",
"name": "<string>",
"status": "pending_upload",
"productIds": [
"<string>"
],
"brands": [
"<string>"
],
"metadata": {},
"isExternal": true,
"collections": [
"<string>"
],
"mimetype": "<string>",
"url": "<string>"
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Assets
Retrieves a list of assets.
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
Vendor ID.
The collection name that the assets are associated with.
The brand that the assets are associated with.
The mimetype of the assets.
image/jpeg, image/png, image/gif, image/webp, text/html, video/mp4, video/quicktime, application/json, text/vtt The approval status of the assets.
pending_upload, pending_approval, upload_error, approved, rejected The list of asset ids.
Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.
The maximum number of items to return per page.
1 <= x <= 100Response
Successful Response
Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.
List of assets
Show child attributes
Show child attributes
Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.
1"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
Was this page helpful?